#### Previous topic

scipy.interpolate.PiecewisePolynomial

#### Next topic

scipy.interpolate.PiecewisePolynomial.append

# scipy.interpolate.PiecewisePolynomial.__call__

`PiecewisePolynomial.``__call__`(x)

  Evaluate the interpolant

  Parameters:

  x : array_like

  > Points to evaluate the interpolant at.

  Returns:

  y : array_like

  > Interpolated values. Shape is determined by replacing the interpolation axis in the original array with the shape of x.